Bug 806637 - [abrt] evolution-3.3.92-1.fc17: g_logv: Process /usr/bin/evolution was killed by signal 5 (SIGTRAP)
[abrt] evolution-3.3.92-1.fc17: g_logv: Process /usr/bin/evolution was killed...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:246573018b8346a2b5408f2ec05...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 11:39 EDT by Mike Chambers
Modified: 2013-07-04 09:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 09:46:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (26.83 KB, text/plain)
2012-03-25 11:39 EDT, Mike Chambers
no flags Details
File: backtrace (65.17 KB, text/plain)
2012-03-25 11:39 EDT, Mike Chambers
no flags Details
File: gconf_subtree (12.24 KB, text/plain)
2012-03-25 11:39 EDT, Mike Chambers
no flags Details
File: maps (90.02 KB, text/plain)
2012-03-25 11:39 EDT, Mike Chambers
no flags Details
File: dso_list (19.00 KB, text/plain)
2012-03-25 11:39 EDT, Mike Chambers
no flags Details
File: build_ids (7.49 KB, text/plain)
2012-03-25 11:39 EDT, Mike Chambers
no flags Details

  None (edit)
Description Mike Chambers 2012-03-25 11:39:39 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/evolution
comment:        Just clicked on an email in preview and evolution closed on me.  Think have seen this before when viewing a log and it's real long.
crash_function: g_logv
executable:     /usr/bin/evolution
kernel:         3.3.0-1.fc17.x86_64
pid:            6805
pwd:            /home/mike/Documents
reason:         Process /usr/bin/evolution was killed by signal 5 (SIGTRAP)
time:           Sun 25 Mar 2012 10:32:04 AM CDT
uid:            1000
username:       mike

backtrace:      Text file, 66731 bytes
build_ids:      Text file, 7667 bytes
dso_list:       Text file, 19454 bytes
event_log:      Text file, 27469 bytes
gconf_subtree:  Text file, 12535 bytes
maps:           Text file, 92176 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1851
:XDG_SESSION_ID=2
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=scrappy.miketc.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/mike/.gtkrc-2.0:/home/mike/.gtkrc-2.0-kde4:/home/mike/.kde/share/config/gtkrc-2.0
:GS_LIB=
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=mike
:SSH_AUTH_SOCK=/tmp/ssh-wCPNliZX1709/agent.1709
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/mike/.local/bin:/home/mike/bin
:MAIL=/var/spool/mail/mike
:QT_IM_MODULE=xim
:PWD=/home/mike
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/mike
:KDE_SESSION_VERSION=4
:LOGNAME=mike
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LGQBNvz0Kn,guid=72aa932e5f49884f65501d5300000175
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mike
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/mike/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-mike/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1915,unix/unix:/tmp/.ICE-unix/1915
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/mike/.gtkrc:/home/mike/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=scrappy.miketc.net;1332689025;183960;1930_TIME35275322

smolt_data:
:
:
:General
:=================================
:UUID: e60c2f21-ab97-408b-b7fc-fe49ed113c6f
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4791.28
:CPU Vendor: AuthenticAMD
:CPU Model: AMD A8-3800 APU with Radeon(tm) HD Graphics
:CPU Stepping: 0
:CPU Family: 18
:CPU Model Num: 1
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 14020
:System Swap: 3902
:Vendor: Hewlett-Packard
:System: p7-1126s 
:Form factor: Desktop
:Kernel: 3.3.0-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:30721:4156:10957) pci, ahci, STORAGE, Hudson SATA Controller [AHCI mode]
:(4130:30738:4156:10957) pci, xhci_hcd, USB, Hudson USB XHCI Controller
:(4130:30738:4156:10957) pci, xhci_hcd, USB, Hudson USB XHCI Controller
:(4318:3043:6510:2167) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4130:5893:4130:5893) pci, None, HOST/PCI, Family 12h Processor Root Complex
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(6164:21392:6164:61521) pci, rt2800pci, NETWORK, N/A
:(4354:9:4354:24) pci, snd_hda_intel, MULTIMEDIA, SB1040
:(4332:33128:4156:10957) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4130:17312:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:17313:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:5895:4130:4660) pci, pcieport, PCI/PCI, Family 12h Processor Root Port
:(4130:30731:4156:10957) pci, piix4_smbus, SERIAL, Hudson SMBus Controller
:(4130:30734:4156:10957) pci, None, PCI/ISA, Hudson LPC Bridge
:(4130:30729:4156:10957) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30735:0:0) pci, None, PCI/PCI, Hudson PCI Bridge
:(4130:30726:4130:30726) pci, sdhci-pci, BASE, Hudson SD Flash Controller
:(4354:28678:4354:16) pci, None, PCI/PCI, [SB X-Fi Xtreme Audio] CA0110-IBG PCI to PCIe Bridge
:(4130:30728:4156:10957) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4318:4291:6510:2167) pci, nouveau, VIDEO, GT218 [GeForce 8400 GS]
:(4130:30727:4156:10957) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30728:4156:10957) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4156:10957) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:5897:4130:4660) pci, pcieport, PCI/PCI, Family 12h Processor Root Port
:(4130:5898:4130:4660) pci, pcieport, PCI/PCI, Family 12h Processor Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb3 / ext4 4096 4096 181574612 177276335 168188335 45441024 45266450 45266450
:/dev/sdb2 /boot ext4 4096 4096 255338 241714 228914 64000 63982 63982
:/dev/sdb1 WITHHELD vfat 8192 8192 63965 63919 63919 0 0 0
:

var_log_messages:
:Mar 25 10:32:04 scrappy kernel: [35774.967464] evolution[6805] trap int3 ip:313e64e971 sp:7fff97594cf0 error:0
:Mar 25 10:32:05 scrappy abrt[7245]: Saved core dump of pid 6805 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-25-10:32:04-6805 (123478016 bytes)

xsession_errors:
:(evolution:2197): Gtk-WARNING **: drawing failure for widget `ECanvas': cairo_restore() without matching cairo_save()
:(evolution:2197): Gtk-WARNING **: drawing failure for widget `ECanvas': cairo_restore() without matching cairo_save()
:(evolution:6805): Gdk-ERROR **: The program 'evolution' received an X Window System error.
Comment 1 Mike Chambers 2012-03-25 11:39:43 EDT
Created attachment 572538 [details]
File: event_log
Comment 2 Mike Chambers 2012-03-25 11:39:46 EDT
Created attachment 572539 [details]
File: backtrace
Comment 3 Mike Chambers 2012-03-25 11:39:47 EDT
Created attachment 572540 [details]
File: gconf_subtree
Comment 4 Mike Chambers 2012-03-25 11:39:50 EDT
Created attachment 572541 [details]
File: maps
Comment 5 Mike Chambers 2012-03-25 11:39:52 EDT
Created attachment 572542 [details]
File: dso_list
Comment 6 Mike Chambers 2012-03-25 11:39:53 EDT
Created attachment 572543 [details]
File: build_ids
Comment 7 Milan Crha 2012-03-26 05:34:41 EDT
Thanks for a bug report. Is this anyhow reproducible with any particular message, or it just shows after some time of using evolution? I'm wondering, because the error is pretty strange, is says:
> BadAlloc (insufficient resources for operation)
Also, the crashing thread doesn't show much from evolution-related code, it's thrown under gtkhtml3's 'draw' function, but it just calls gtk_layout_draw() there, which is correct. One place is suspicious to me, it's the frame with Oxygen involved:
> Oxygen::InnerShadowData::targetExposeEvent (widget=widget@entry=0x36e5170,
> event=<optimized out>) at /usr/src/debug/oxygen-gtk3-1.0.2-1/src/animations
> /oxygeninnershadowdata.cpp:204

Can that cause trouble here?
Comment 8 Mike Chambers 2012-03-26 11:38:14 EDT
It crashes anytime there is a big email, such as a daily log from my desktop if it has lot of stuff in it, such as reboots, updates, etc.. and it's a long email.  Actually got an email this morning of my log report and it crashed on it this morning as well.
Comment 9 Milan Crha 2012-03-27 02:59:30 EDT
Thanks for the update. Would you mind to send me such email in private, for testing purposes, please? You can View->Preview->Show message preview (Ctrl+M) to disable preview, then select the message, right-click above and choose "Save as mbox", then save it on a disk, possibly compress with zip or similar tool, and then send it to my bugzilla email. If you'll do, please mention bug number in the subject. Thanks in advance.
Comment 10 Mike Chambers 2012-03-27 11:46:59 EDT
Email with zipped up attachement on the way.
Comment 11 Milan Crha 2012-03-28 03:32:01 EDT
Thanks. I already replied to that email, but to have this complete: It works fine on my machine, I see the message without any issue. I also installed oxygen-gtk3, but no change, still working. I'm under Gnome, in a fallback mode. Could you try to uninstall the oxygen-gtk3 package, just temporarily, to test, whether it'll help or not. Also, I had the message shown as HTML, my Edit->Preferences->mail Preferences->tab HTML Messages, section Plain Text Mode shows "Show HTML if present".
Comment 12 Fedora End Of Life 2013-07-03 20:12:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.